Subject: close_notify in PPP_EAP_TLS

From: Aslam <[email-masked]>
Date: Tue, 15 Jan 2002 16:54:31 -0500

Hi,
 
even though in a ssl/tls connection, we can omit "close_notify" to be send
to the other sides, provided there r other methods on close notification, eg
if ssl/tls is embeded in some other top layer protocol. correct ?? but
openssl and other ssl/tls libraries only make a ssl/tls session suitable for
resumption, only if a close_notify is been send to other side..
rfc#2716 does not mention about sending ssl/tls close_notify when ssl/tls
authentication (handshake) is complete.. Openssl (and i assume other ssl/tls
libraries) modifying a session to turn up into a bad one, since no
close_notify is send.. 
Question: do we send a close_notify alert in EAP_TLS after the tls handshake
is complete ?? 

thanks
Aslam